<script setup>
import { RouterLink, RouterView } from 'vue-router';
import Header from './components/Header.vue'
import Footer from './components/Footer.vue';
</script>

<template>
  <div class="all-wrapper">
    <Header :langContent="lang" :scrolled="scrolled"/>
    <RouterView :key="$route.path" :class="{'fixedMenu': scrolled}"/>
    <Footer />
  </div>

</template>
<script>

export default {
  data() {
      return {
        locationOrigin: document.location,
        lang: 'ru',
        scrolled: false
      }
    },
  methods:{
    langContent(){
      const path = this.locationOrigin.pathname.split('/');
      this.lang = localStorage.land ? localStorage.land : path[1];
    },
    handleScroll() {
      this.scrolled = window.scrollY > 80;
    }

  },
  created(){
    this.langContent();
    window.addEventListener('scroll', this.handleScroll);
  },
  destroyed() {
    window.removeEventListener('scroll', this.handleScroll);
  }
}
</script>

